curl --location --request PATCH 'https://api.hirempire.com/v1/webhook' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"id": "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
"active": false
}'
const response = await fetch('https://api.hirempire.com/v1/webhook', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
active: false
})
});
const data = await response.json();
console.log(data);
import requests
import json
url = "https://api.hirempire.com/v1/webhook"
headers = {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
}
payload = {
"id": "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
"active": False
}
response = requests.patch(url, headers=headers, data=json.dumps(payload))
data = response.json()
print(data)
<?php
$curl = curl_init();
$payload = json_encode([
"id" => "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
"active" => false
]);
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api.hirempire.com/v1/webhook',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'PATCH',
CURLOPT_POSTFIELDS => $payload,
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer YOUR_TOKEN',
'Content-Type: application/json'
),
));
$response = curl_exec($curl);
curl_close($curl);
$data = json_decode($response, true);
print_r($data);
?>
{
"success": true,
"data": {
"id": "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
"active": false,
"modified_at": "2025-07-01T04:39:20.000Z"
}
}
Webhooks
Update Webhook
Update an existing webhook’s events or active status
PATCH
/
v1
/
webhook
curl --location --request PATCH 'https://api.hirempire.com/v1/webhook' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"id": "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
"active": false
}'
const response = await fetch('https://api.hirempire.com/v1/webhook', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
active: false
})
});
const data = await response.json();
console.log(data);
import requests
import json
url = "https://api.hirempire.com/v1/webhook"
headers = {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
}
payload = {
"id": "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
"active": False
}
response = requests.patch(url, headers=headers, data=json.dumps(payload))
data = response.json()
print(data)
<?php
$curl = curl_init();
$payload = json_encode([
"id" => "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
"active" => false
]);
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api.hirempire.com/v1/webhook',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'PATCH',
CURLOPT_POSTFIELDS => $payload,
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer YOUR_TOKEN',
'Content-Type: application/json'
),
));
$response = curl_exec($curl);
curl_close($curl);
$data = json_decode($response, true);
print_r($data);
?>
{
"success": true,
"data": {
"id": "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
"active": false,
"modified_at": "2025-07-01T04:39:20.000Z"
}
}
Authentication
string
required
Bearer authentication header of the form
Bearer <token>, where <token> is your auth token.Request Body
string
required
Unique identifier of the webhook to update
string[]
Updated array of event types to subscribe to. An empty array
[] is valid and will remove all event subscriptions. Available events: job_added job_activated job_deactivated job_deleted applicant_applied cv_upload_completed meeting_bookedboolean
Set to
true to activate or false to deactivate the webhookAt least one of
events or active must be provided alongside the required id field. Both can be sent together in a single request.curl --location --request PATCH 'https://api.hirempire.com/v1/webhook' \
--header 'Authorization: Bearer YOUR_TOKEN' \
--header 'Content-Type: application/json' \
--data-raw '{
"id": "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
"active": false
}'
const response = await fetch('https://api.hirempire.com/v1/webhook', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer YOUR_TOKEN',
'Content-Type': 'application/json'
},
body: JSON.stringify({
id: "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
active: false
})
});
const data = await response.json();
console.log(data);
import requests
import json
url = "https://api.hirempire.com/v1/webhook"
headers = {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
}
payload = {
"id": "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
"active": False
}
response = requests.patch(url, headers=headers, data=json.dumps(payload))
data = response.json()
print(data)
<?php
$curl = curl_init();
$payload = json_encode([
"id" => "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
"active" => false
]);
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api.hirempire.com/v1/webhook',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_CUSTOMREQUEST => 'PATCH',
CURLOPT_POSTFIELDS => $payload,
CURLOPT_HTTPHEADER => array(
'Authorization: Bearer YOUR_TOKEN',
'Content-Type: application/json'
),
));
$response = curl_exec($curl);
curl_close($curl);
$data = json_decode($response, true);
print_r($data);
?>
Response
boolean
Indicates if the webhook was updated successfully
object
{
"success": true,
"data": {
"id": "0c8t5e54-e053-40b2-8c9c-b45rgy0acf8a",
"active": false,
"modified_at": "2025-07-01T04:39:20.000Z"
}
}
Error Responses
Validation Errors
400 - Bad Request{
"success": false,
"error": "Field 'request_url' is required and must be a string."
}
{
"success": false,
"error": "Field 'events' is required and must be an array."
}
{
"success": false,
"error": "Invalid event: invalid_event_name."
}
{
"success": false,
"error": "Invalid token"
}
{
"success": false,
"error": "Input is incorrect."
}
{
"success": false,
"error": "Invalid request url"
}
Authorization Errors
401 - Unauthorized{
"success": false,
"error": "Token is expired"
}
{
"success": false,
"error": "Invalid webhook id"
}
Was this page helpful?